Subject: bug#35375: closed (Re: bug#35375: 26.2; info:elisp#Geometry (x-parse-geometry geom))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 May 2019 21:00:03 +0000

Your bug report

#35375: 26.2; info:elisp#Geometry (x-parse-geometry geom)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35375: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35375
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35375: 26.2; info:elisp#Geometry (x-parse-geometry geom)
From: Juri Linkov <[email-masked]>
To: Van L <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 May 2019 23:59:01 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 35375 notabug
thanks

> In the example given,
>
>           (x-parse-geometry "35x70+0-0")
>                ⇒ ((height . 70) (width . 35)
>                    (top - 0) (left . 0))
> --------------------^
> should that be (top . (- 0)) from x-parse-geometry?
>
> --- background context ---
>
> I landed on the above documentation while trying to figure out the following.
>
> I am unable to make-frame have frame height 36 with the following setting in ~/.emacs
>
> (add-to-list 'default-frame-alist '(height . 36))
>
> and in ~/.Xresources, I have
>
> Emacs*geometry: 80x36
>
> Calling `emacs -Q` I have initial frame height of 4, the next
> make-frame has height 36, the rest of the next make-frame events have
> height 4.

This is because x-parse-geometry returns height/width in pixels,
but make-frame expects height/width in characters.  Please use
`text-pixels' for pixels.  See more at (info "(elisp) Size Parameters")

Subject: 26.2; info:elisp#Geometry (x-parse-geometry geom)
From: Van L <[email-masked]>
To: [email-masked]
Date: Mon, 22 Apr 2019 20:57:31 +1000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

In the example given,

          (x-parse-geometry "35x70+0-0")
               ⇒ ((height . 70) (width . 35)
                   (top - 0) (left . 0))
--------------------^
should that be (top . (- 0)) from x-parse-geometry?

--- background context ---

I landed on the above documentation while trying to figure out the following.

I am unable to make-frame have frame height 36 with the following setting in ~/.emacs

(add-to-list 'default-frame-alist '(height . 36))

and in ~/.Xresources, I have

Emacs*geometry: 80x36

Calling `emacs -Q` I have initial frame height of 4, the next make-frame has height 36, the rest of the next make-frame events have height 4.

This is for build detail as follows

GNU Emacs 26.2 (build 1, x86_64-unknown-netbsd8.0, GTK+ Version 3.24.1)
 of 2019-04-15